VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo:

## Avaliable Methods
public method | set_privileges ()
public method | get_property_path ()
public method | get_privileges ()
public method | new ()
public method | set_property_path ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo` class contains the privilege information for a parameter element in an operation element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo::get_privileges | ( |  | ) |

Gets the value of 'privileges' property.

Return values

  privileges | - The current value of the field. List of privileges assigned to the entity that is being referred by :attr:`Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo.property_path` . List#

Code:
click to view
# Number of lines of code in get_privileges: 4
sub get_privileges {
my ($self, %args) = @_;
return $self->{'privileges'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo::get_property_path | ( |  | ) |

Gets the value of 'property_path' property.

Return values

  property_path | - The current value of the field. The `propertyPath` points to an entity that is used in the operation element. An entity can either be present in one of the parameter elements or if a parameter is a structure element, it could also be present in one of the field elements.

If the privilege is assigned to an entity used in the parameter, `propertyPath` will just contain the name of the parameter field. If the privilege is assigned to an entity in one of the field elements of a parameter element that is a structure element, then `propertyPath` will contain a path to the field element starting from the parameter name.

String#

Code:
click to view
# Number of lines of code in get_property_path: 4
sub get_property_path {
my ($self, %args) = @_;
return $self->{'property_path'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{property_path} = $args{'property_path'};
$self->{privileges} = $args{'privileges'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.privilege.privilege_info');
$self->set_binding_field('key' => 'property_path', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'privileges', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo::set_privileges | ( |  | ) |

Sets the given value for 'privileges' property.

Parameters

  privileges | - New value for the field. List of privileges assigned to the entity that is being referred by :attr:`Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo.property_path` .

Code:
click to view
# Number of lines of code in set_privileges: 5
sub set_privileges {
my ($self, %args) = @_;
$self->{'privileges'} = $args{'privileges'};
return;
}

public method Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo::set_property_path | ( |  | ) |

Sets the given value for 'property_path' property.

Parameters

  property_path | - New value for the field. The `propertyPath` points to an entity that is used in the operation element. An entity can either be present in one of the parameter elements or if a parameter is a structure element, it could also be present in one of the field elements.

If the privilege is assigned to an entity used in the parameter, `propertyPath` will just contain the name of the parameter field. If the privilege is assigned to an entity in one of the field elements of a parameter element that is a structure element, then `propertyPath` will contain a path to the field element starting from the parameter name.

Code:
click to view
# Number of lines of code in set_property_path: 5
sub set_property_path {
my ($self, %args) = @_;
$self->{'property_path'} = $args{'property_path'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/PrivilegeInfo.pm